﻿-- Script was generated by Devart dbForge Studio for MySQL, Version 6.0.128.0
-- Product home page: http://www.devart.com/dbforge/mysql/studio
-- Script date 25/09/2018 13:56:38
-- Server version: 5.5.5-10.1.34-MariaDB
-- Client version: 4.1

-- 
-- Disable foreign keys
-- 
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;

-- 
-- Set character set the client will use to send SQL statements to the server
--
SET NAMES 'utf8';

-- 
-- Set default database
--
USE aplicacionbasica4;

--
-- Definition for table articulo
--
DROP TABLE IF EXISTS articulo;
CREATE TABLE articulo (
  id INT(11) NOT NULL AUTO_INCREMENT,
  titulo VARCHAR(255) DEFAULT NULL,
  texto TEXT DEFAULT NULL,
  PRIMARY KEY (id)
)
ENGINE = INNODB
AUTO_INCREMENT = 1
CHARACTER SET latin1
COLLATE latin1_swedish_ci;

--
-- Definition for table foto
--
DROP TABLE IF EXISTS foto;
CREATE TABLE foto (
  id INT(11) NOT NULL,
  articulo INT(11) NOT NULL,
  nombre VARCHAR(255) NOT NULL,
  alt VARCHAR(255) DEFAULT NULL,
  PRIMARY KEY (id),
  UNIQUE INDEX articulo (articulo),
  UNIQUE INDEX articulo_2 (articulo, nombre),
  UNIQUE INDEX nombre (nombre),
  CONSTRAINT foto_ibfk_1 FOREIGN KEY (articulo)
    REFERENCES articulo(id) ON DELETE RESTRICT ON UPDATE RESTRICT
)
ENGINE = INNODB
CHARACTER SET latin1
COLLATE latin1_swedish_ci;

-- 
-- Dumping data for table articulo
--

-- Table aplicacionbasica4.articulo does not contain any data (it is empty)

-- 
-- Dumping data for table foto
--

-- Table aplicacionbasica4.foto does not contain any data (it is empty)

-- 
-- Enable foreign keys
-- 
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;